Open CASCADE Technology: IntSurf_PntOn2S Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IntSurf_PntOn2S Class Reference

This class defines the geometric informations for an intersection point between 2 surfaces : The coordinates ( Pnt from gp ), and two parametric coordinates. More...

`#include <IntSurf_PntOn2S.hxx>`

## Public Member Functions
| IntSurf_PntOn2S ()
| Empty constructor. More...
void | SetValue (const gp_Pnt &Pt)
| Sets the value of the point in 3d space. More...
void | SetValue (const gp_Pnt &Pt, const Standard_Boolean OnFirst, const Standard_Real U, const Standard_Real V)
| Sets the values of the point in 3d space, and in the parametric space of one of the surface. More...
void | SetValue (const gp_Pnt &Pt, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2)
| Sets the values of the point in 3d space, and in the parametric space of each surface. More...
void | SetValue (const Standard_Boolean OnFirst, const Standard_Real U, const Standard_Real V)
| Set the values of the point in the parametric space of one of the surface. More...
void | SetValue (const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2)
| Set the values of the point in the parametric space of one of the surface. More...
const gp_Pnt & | Value () const
| Returns the point in 3d space. More...
void | ParametersOnS1 (Standard_Real &U1, Standard_Real &V1) const
| Returns the parameters of the point on the first surface. More...
void | ParametersOnS2 (Standard_Real &U2, Standard_Real &V2) const
| Returns the parameters of the point on the second surface. More...
void | Parameters (Standard_Real &U1, Standard_Real &V1, Standard_Real &U2, Standard_Real &V2) const
| Returns the parameters of the point on both surfaces. More...
Standard_Boolean | IsSame (const IntSurf_PntOn2S &theOterPoint, const Standard_Real theTol3D=0.0, const Standard_Real theTol2D=0.0) const
| Returns TRUE if 2D- and 3D-coordinates of theOterPoint are equal to corresponding coordinates of me (with given tolerance). If theTol2D == 0.0 we will compare 3D-points only. More...

## Detailed Description

This class defines the geometric informations for an intersection point between 2 surfaces : The coordinates ( Pnt from gp ), and two parametric coordinates.

## Constructor & Destructor Documentation

IntSurf_PntOn2S::IntSurf_PntOn2S | ( |  | ) |

Empty constructor.

## Member Function Documentation

Standard_Boolean IntSurf_PntOn2S::IsSame | ( | const IntSurf_PntOn2S & | theOterPoint,
|  | const Standard_Real | theTol3D = `0.0`,
|  | const Standard_Real | theTol2D = `0.0`
| ) |  | const

Returns TRUE if 2D- and 3D-coordinates of theOterPoint are equal to corresponding coordinates of me (with given tolerance). If theTol2D == 0.0 we will compare 3D-points only.

void IntSurf_PntOn2S::Parameters | ( | Standard_Real & | U1,
|  | Standard_Real & | V1,
|  | Standard_Real & | U2,
|  | Standard_Real & | V2
| ) |  | const

Returns the parameters of the point on both surfaces.

void IntSurf_PntOn2S::ParametersOnS1 | ( | Standard_Real & | U1,
|  | Standard_Real & | V1
| ) |  | const

Returns the parameters of the point on the first surface.

void IntSurf_PntOn2S::ParametersOnS2 | ( | Standard_Real & | U2,
|  | Standard_Real & | V2
| ) |  | const

Returns the parameters of the point on the second surface.

void IntSurf_PntOn2S::SetValue | ( | const gp_Pnt & | Pt | ) |

Sets the value of the point in 3d space.

void IntSurf_PntOn2S::SetValue | ( | const gp_Pnt & | Pt,
|  | const Standard_Boolean | OnFirst,
|  | const Standard_Real | U,
|  | const Standard_Real | V
| ) |  |

Sets the values of the point in 3d space, and in the parametric space of one of the surface.

void IntSurf_PntOn2S::SetValue | ( | const gp_Pnt & | Pt,
|  | const Standard_Real | U1,
|  | const Standard_Real | V1,
|  | const Standard_Real | U2,
|  | const Standard_Real | V2
| ) |  |

Sets the values of the point in 3d space, and in the parametric space of each surface.

void IntSurf_PntOn2S::SetValue | ( | const Standard_Boolean | OnFirst,
|  | const Standard_Real | U,
|  | const Standard_Real | V
| ) |  |

Set the values of the point in the parametric space of one of the surface.

void IntSurf_PntOn2S::SetValue | ( | const Standard_Real | U1,
|  | const Standard_Real | V1,
|  | const Standard_Real | U2,
|  | const Standard_Real | V2
| ) |  |

Set the values of the point in the parametric space of one of the surface.

const gp_Pnt& IntSurf_PntOn2S::Value | ( |  | ) | const

Returns the point in 3d space.

The documentation for this class was generated from the following file:

- IntSurf_PntOn2S.hxx